<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/MyConfig.html#addInterceptors(org.springframework.web.servlet.config.annotation.InterceptorRegistry)">addInterceptors(InterceptorRegistry)</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/MyConfig.html" title="class in com.hadassah.demo">MyConfig</a></dt>
<dd>
<div class="block">Adds the interceptors of the program
 Will add the login interceptor, excluding certain paths.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html#authorized">authorized</a></span> - Variable in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans">AuthorizeSessionLogin</a></dt>
<dd>
<div class="block">boolean for login, true if login, false if not</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/LogInController.html#authorizeSessionLogin">authorizeSessionLogin</a></span> - Variable in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers">LogInController</a></dt>
<dd>
<div class="block">the <a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><code>AuthorizeSessionLogin</code></a> session bean to check if hes still logged in</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/DemoApplication.html#authorizeSessionLogin">authorizeSessionLogin</a></span> - Variable in class com.hadassah.demo.<a href="../com/hadassah/demo/DemoApplication.html" title="class in com.hadassah.demo">DemoApplication</a></dt>
<dd>
<div class="block">Session level bean resource that will allow us to update/check login status</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/filters/LoginInterceptor.html#authorizeSessionLogin">authorizeSessionLogin</a></span> - Variable in class com.hadassah.demo.filters.<a href="../com/hadassah/demo/filters/LoginInterceptor.html" title="class in com.hadassah.demo.filters">LoginInterceptor</a></dt>
<dd>
<div class="block">an <a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><code>AuthorizeSessionLogin</code></a> reference to the session level bean so i can
 validate the login through this interceptoy</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/MyConfig.html#authorizeSessionLogin">authorizeSessionLogin</a></span> - Variable in class com.hadassah.demo.<a href="../com/hadassah/demo/MyConfig.html" title="class in com.hadassah.demo">MyConfig</a></dt>
<dd>
<div class="block">this session scoped bean is to check if login is still in session</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/RestApi/DeleteHistory.html#authorizeSessionLogin">authorizeSessionLogin</a></span> - Variable in class com.hadassah.demo.RestApi.<a href="../com/hadassah/demo/RestApi/DeleteHistory.html" title="class in com.hadassah.demo.RestApi">DeleteHistory</a></dt>
<dd>
<div class="block">the <a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><code>AuthorizeSessionLogin</code></a> session bean to check if hes still logged in</div>
</dd>
<dt><a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><span class="typeNameLink">AuthorizeSessionLogin</span></a> - Class in <a href="../com/hadassah/demo/beans/package-summary.html">com.hadassah.demo.beans</a></dt>
<dd>
<div class="block">session level bean to check globally if logged in</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html#%3Cinit%3E()">AuthorizeSessionLogin()</a></span> - Constructor for class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans">AuthorizeSessionLogin</a></dt>
<dd>
<div class="block">empty constructor so can be resourced</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
